Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81907 - GDM sets incorrect locale
Summary: GDM sets incorrect locale
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gdm
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-15 02:36 UTC by Owen Taylor
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 23:01:49 UTC


Attachments (Terms of Use)

Description Owen Taylor 2003-01-15 02:36:52 UTC
Choose American English (or any other language) from the install,
log in.

You get a GDM_LANG/LANG setting of, e.g., en_US.utf8. Xlib
requires en_US.UTF-8 to function correctly.

I'm not sure if this is a locale.alias problem or there is 
supposed to be a translation of utf8 to UTF-8 in the GDM
code. 

It worked correctly in 8.0

Comment 1 Havoc Pennington 2003-01-15 03:13:11 UTC
The gdm locale.alias does have "UTF-8" so there is something strange going on.
(someday we really should just fix Xlib here...)

Comment 2 Havoc Pennington 2003-01-15 17:34:11 UTC
via email:

I fixed it in CVS and it's in 2.4.1.1 so perhaps you're looking at the
"fixed" version :)
                                                                               
         
George


Comment 3 Owen Taylor 2003-01-16 21:14:34 UTC
Taking GDM target/blockers.

Comment 4 Owen Taylor 2003-01-17 00:22:30 UTC
Indeed seems to be fixed 2.4.1.1


Note You need to log in before you can comment on or make changes to this bug.